searchNodes=[{"doc":"API calls for all endpoints tagged Controller.","ref":"GoogleApi.CloudDebugger.V2.Api.Controller.html","title":"GoogleApi.CloudDebugger.V2.Api.Controller","type":"module"},{"doc":"Returns the list of all active breakpoints for the debuggee. The breakpoint specification (location, condition, and expressions fields) is semantically immutable, although the field values may change. For example, an agent may update the location line number to reflect the actual line where the breakpoint was set, but this doesn&#39;t change the breakpoint semantics. This means that an agent does not need to check if a breakpoint has changed when it encounters the same breakpoint on a successive call. Moreover, an agent should remember the breakpoints that are completed until the controller removes them from the active list to avoid setting those breakpoints again. Parameters connection (type: GoogleApi.CloudDebugger.V2.Connection.t) - Connection to server debuggee_id (type: String.t) - Required. Identifies the debuggee. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :successOnTimeout (type: boolean()) - If set to true (recommended), returns google.rpc.Code.OK status and sets the wait_expired response field to true when the server-selected timeout has expired. If set to false (deprecated), returns google.rpc.Code.ABORTED status when the server-selected timeout has expired. :waitToken (type: String.t) - A token that, if specified, blocks the method call until the list of active breakpoints has changed, or a server-selected timeout has expired. The value should be set from the next_wait_token field in the last response. The initial value should be set to &quot;init&quot;. opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.CloudDebugger.V2.Model.ListActiveBreakpointsResponse{}} on success {:error, info} on failure","ref":"GoogleApi.CloudDebugger.V2.Api.Controller.html#clouddebugger_controller_debuggees_breakpoints_list/4","title":"GoogleApi.CloudDebugger.V2.Api.Controller.clouddebugger_controller_debuggees_breakpoints_list/4","type":"function"},{"doc":"Updates the breakpoint state or mutable fields. The entire Breakpoint message must be sent back to the controller service. Updates to active breakpoint fields are only allowed if the new value does not change the breakpoint specification. Updates to the location, condition and expressions fields should not alter the breakpoint semantics. These may only make changes such as canonicalizing a value or snapping the location to the correct line of code. Parameters connection (type: GoogleApi.CloudDebugger.V2.Connection.t) - Connection to server debuggee_id (type: String.t) - Required. Identifies the debuggee being debugged. id (type: String.t) - Breakpoint identifier, unique in the scope of the debuggee. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :body (type: GoogleApi.CloudDebugger.V2.Model.UpdateActiveBreakpointRequest.t) - opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.CloudDebugger.V2.Model.UpdateActiveBreakpointResponse{}} on success {:error, info} on failure","ref":"GoogleApi.CloudDebugger.V2.Api.Controller.html#clouddebugger_controller_debuggees_breakpoints_update/5","title":"GoogleApi.CloudDebugger.V2.Api.Controller.clouddebugger_controller_debuggees_breakpoints_update/5","type":"function"},{"doc":"Registers the debuggee with the controller service. All agents attached to the same application must call this method with exactly the same request content to get back the same stable debuggee_id. Agents should call this method again whenever google.rpc.Code.NOT_FOUND is returned from any controller method. This protocol allows the controller service to disable debuggees, recover from data loss, or change the debuggee_id format. Agents must handle debuggee_id value changing upon re-registration. Parameters connection (type: GoogleApi.CloudDebugger.V2.Connection.t) - Connection to server optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :body (type: GoogleApi.CloudDebugger.V2.Model.RegisterDebuggeeRequest.t) - opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.CloudDebugger.V2.Model.RegisterDebuggeeResponse{}} on success {:error, info} on failure","ref":"GoogleApi.CloudDebugger.V2.Api.Controller.html#clouddebugger_controller_debuggees_register/3","title":"GoogleApi.CloudDebugger.V2.Api.Controller.clouddebugger_controller_debuggees_register/3","type":"function"},{"doc":"API calls for all endpoints tagged Debugger.","ref":"GoogleApi.CloudDebugger.V2.Api.Debugger.html","title":"GoogleApi.CloudDebugger.V2.Api.Debugger","type":"module"},{"doc":"Deletes the breakpoint from the debuggee. Parameters connection (type: GoogleApi.CloudDebugger.V2.Connection.t) - Connection to server debuggee_id (type: String.t) - Required. ID of the debuggee whose breakpoint to delete. breakpoint_id (type: String.t) - Required. ID of the breakpoint to delete. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :clientVersion (type: String.t) - Required. The client version making the call. Schema: domain/type/version (e.g., google.com/intellij/v1). opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.CloudDebugger.V2.Model.Empty{}} on success {:error, info} on failure","ref":"GoogleApi.CloudDebugger.V2.Api.Debugger.html#clouddebugger_debugger_debuggees_breakpoints_delete/5","title":"GoogleApi.CloudDebugger.V2.Api.Debugger.clouddebugger_debugger_debuggees_breakpoints_delete/5","type":"function"},{"doc":"Gets breakpoint information. Parameters connection (type: GoogleApi.CloudDebugger.V2.Connection.t) - Connection to server debuggee_id (type: String.t) - Required. ID of the debuggee whose breakpoint to get. breakpoint_id (type: String.t) - Required. ID of the breakpoint to get. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :clientVersion (type: String.t) - Required. The client version making the call. Schema: domain/type/version (e.g., google.com/intellij/v1). opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.CloudDebugger.V2.Model.GetBreakpointResponse{}} on success {:error, info} on failure","ref":"GoogleApi.CloudDebugger.V2.Api.Debugger.html#clouddebugger_debugger_debuggees_breakpoints_get/5","title":"GoogleApi.CloudDebugger.V2.Api.Debugger.clouddebugger_debugger_debuggees_breakpoints_get/5","type":"function"},{"doc":"Lists all breakpoints for the debuggee. Parameters connection (type: GoogleApi.CloudDebugger.V2.Connection.t) - Connection to server debuggee_id (type: String.t) - Required. ID of the debuggee whose breakpoints to list. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :&quot;action.value&quot; (type: String.t) - Only breakpoints with the specified action will pass the filter. :clientVersion (type: String.t) - Required. The client version making the call. Schema: domain/type/version (e.g., google.com/intellij/v1). :includeAllUsers (type: boolean()) - When set to true, the response includes the list of breakpoints set by any user. Otherwise, it includes only breakpoints set by the caller. :includeInactive (type: boolean()) - When set to true, the response includes active and inactive breakpoints. Otherwise, it includes only active breakpoints. :stripResults (type: boolean()) - This field is deprecated. The following fields are always stripped out of the result: stack_frames, evaluated_expressions and variable_table. :waitToken (type: String.t) - A wait token that, if specified, blocks the call until the breakpoints list has changed, or a server selected timeout has expired. The value should be set from the last response. The error code google.rpc.Code.ABORTED (RPC) is returned on wait timeout, which should be called again with the same wait_token. opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.CloudDebugger.V2.Model.ListBreakpointsResponse{}} on success {:error, info} on failure","ref":"GoogleApi.CloudDebugger.V2.Api.Debugger.html#clouddebugger_debugger_debuggees_breakpoints_list/4","title":"GoogleApi.CloudDebugger.V2.Api.Debugger.clouddebugger_debugger_debuggees_breakpoints_list/4","type":"function"},{"doc":"Sets the breakpoint to the debuggee. Parameters connection (type: GoogleApi.CloudDebugger.V2.Connection.t) - Connection to server debuggee_id (type: String.t) - Required. ID of the debuggee where the breakpoint is to be set. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :clientVersion (type: String.t) - Required. The client version making the call. Schema: domain/type/version (e.g., google.com/intellij/v1). :body (type: GoogleApi.CloudDebugger.V2.Model.Breakpoint.t) - opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.CloudDebugger.V2.Model.SetBreakpointResponse{}} on success {:error, info} on failure","ref":"GoogleApi.CloudDebugger.V2.Api.Debugger.html#clouddebugger_debugger_debuggees_breakpoints_set/4","title":"GoogleApi.CloudDebugger.V2.Api.Debugger.clouddebugger_debugger_debuggees_breakpoints_set/4","type":"function"},{"doc":"Lists all the debuggees that the user has access to. Parameters connection (type: GoogleApi.CloudDebugger.V2.Connection.t) - Connection to server optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :clientVersion (type: String.t) - Required. The client version making the call. Schema: domain/type/version (e.g., google.com/intellij/v1). :includeInactive (type: boolean()) - When set to true, the result includes all debuggees. Otherwise, the result includes only debuggees that are active. :project (type: String.t) - Required. Project number of a Google Cloud project whose debuggees to list. opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.CloudDebugger.V2.Model.ListDebuggeesResponse{}} on success {:error, info} on failure","ref":"GoogleApi.CloudDebugger.V2.Api.Debugger.html#clouddebugger_debugger_debuggees_list/3","title":"GoogleApi.CloudDebugger.V2.Api.Debugger.clouddebugger_debugger_debuggees_list/3","type":"function"},{"doc":"Handle Tesla connections for GoogleApi.CloudDebugger.V2.","ref":"GoogleApi.CloudDebugger.V2.Connection.html","title":"GoogleApi.CloudDebugger.V2.Connection","type":"module"},{"doc":"Perform a DELETE request. See request/1 or request/2 for options definition. delete(&quot;/users&quot;) delete(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) delete(client, &quot;/users&quot;) delete(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.CloudDebugger.V2.Connection.html#delete/3","title":"GoogleApi.CloudDebugger.V2.Connection.delete/3","type":"function"},{"doc":"Perform a DELETE request. See request!/1 or request!/2 for options definition. delete!(&quot;/users&quot;) delete!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) delete!(client, &quot;/users&quot;) delete!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.CloudDebugger.V2.Connection.html#delete!/3","title":"GoogleApi.CloudDebugger.V2.Connection.delete!/3","type":"function"},{"doc":"Execute a request on this connection Returns {:ok, Tesla.Env.t} - If the call was successful {:error, reason} - If the call failed","ref":"GoogleApi.CloudDebugger.V2.Connection.html#execute/2","title":"GoogleApi.CloudDebugger.V2.Connection.execute/2","type":"function"},{"doc":"Perform a GET request. See request/1 or request/2 for options definition. get(&quot;/users&quot;) get(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) get(client, &quot;/users&quot;) get(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.CloudDebugger.V2.Connection.html#get/3","title":"GoogleApi.CloudDebugger.V2.Connection.get/3","type":"function"},{"doc":"Perform a GET request. See request!/1 or request!/2 for options definition. get!(&quot;/users&quot;) get!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) get!(client, &quot;/users&quot;) get!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.CloudDebugger.V2.Connection.html#get!/3","title":"GoogleApi.CloudDebugger.V2.Connection.get!/3","type":"function"},{"doc":"Perform a HEAD request. See request/1 or request/2 for options definition. head(&quot;/users&quot;) head(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) head(client, &quot;/users&quot;) head(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.CloudDebugger.V2.Connection.html#head/3","title":"GoogleApi.CloudDebugger.V2.Connection.head/3","type":"function"},{"doc":"Perform a HEAD request. See request!/1 or request!/2 for options definition. head!(&quot;/users&quot;) head!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) head!(client, &quot;/users&quot;) head!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.CloudDebugger.V2.Connection.html#head!/3","title":"GoogleApi.CloudDebugger.V2.Connection.head!/3","type":"function"},{"doc":"Configure an authless client connection Returns Tesla.Env.client","ref":"GoogleApi.CloudDebugger.V2.Connection.html#new/0","title":"GoogleApi.CloudDebugger.V2.Connection.new/0","type":"function"},{"doc":"Configure a client connection using a function which yields a Bearer token. Parameters token_fetcher (type: list(String.t()) -&gt; String.t()) - Callback which provides an OAuth2 token given a list of scopes Returns Tesla.Env.client","ref":"GoogleApi.CloudDebugger.V2.Connection.html#new/1","title":"GoogleApi.CloudDebugger.V2.Connection.new/1","type":"function"},{"doc":"Perform a OPTIONS request. See request/1 or request/2 for options definition. options(&quot;/users&quot;) options(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) options(client, &quot;/users&quot;) options(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.CloudDebugger.V2.Connection.html#options/3","title":"GoogleApi.CloudDebugger.V2.Connection.options/3","type":"function"},{"doc":"Perform a OPTIONS request. See request!/1 or request!/2 for options definition. options!(&quot;/users&quot;) options!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) options!(client, &quot;/users&quot;) options!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.CloudDebugger.V2.Connection.html#options!/3","title":"GoogleApi.CloudDebugger.V2.Connection.options!/3","type":"function"},{"doc":"Perform a PATCH request. See request/1 or request/2 for options definition. patch(&quot;/users&quot;, %{name: &quot;Jon&quot;}) patch(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) patch(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) patch(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.CloudDebugger.V2.Connection.html#patch/4","title":"GoogleApi.CloudDebugger.V2.Connection.patch/4","type":"function"},{"doc":"Perform a PATCH request. See request!/1 or request!/2 for options definition. patch!(&quot;/users&quot;, %{name: &quot;Jon&quot;}) patch!(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) patch!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) patch!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.CloudDebugger.V2.Connection.html#patch!/4","title":"GoogleApi.CloudDebugger.V2.Connection.patch!/4","type":"function"},{"doc":"Perform a POST request. See request/1 or request/2 for options definition. post(&quot;/users&quot;, %{name: &quot;Jon&quot;}) post(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) post(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) post(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.CloudDebugger.V2.Connection.html#post/4","title":"GoogleApi.CloudDebugger.V2.Connection.post/4","type":"function"},{"doc":"Perform a POST request. See request!/1 or request!/2 for options definition. post!(&quot;/users&quot;, %{name: &quot;Jon&quot;}) post!(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) post!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) post!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.CloudDebugger.V2.Connection.html#post!/4","title":"GoogleApi.CloudDebugger.V2.Connection.post!/4","type":"function"},{"doc":"Perform a PUT request. See request/1 or request/2 for options definition. put(&quot;/users&quot;, %{name: &quot;Jon&quot;}) put(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) put(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) put(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.CloudDebugger.V2.Connection.html#put/4","title":"GoogleApi.CloudDebugger.V2.Connection.put/4","type":"function"},{"doc":"Perform a PUT request. See request!/1 or request!/2 for options definition. put!(&quot;/users&quot;, %{name: &quot;Jon&quot;}) put!(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) put!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) put!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.CloudDebugger.V2.Connection.html#put!/4","title":"GoogleApi.CloudDebugger.V2.Connection.put!/4","type":"function"},{"doc":"Perform a request. Options :method - the request method, one of [:head, :get, :delete, :trace, :options, :post, :put, :patch] :url - either full url e.g. &quot;http://example.com/some/path&quot; or just &quot;/some/path&quot; if using Tesla.Middleware.BaseUrl :query - a keyword list of query params, e.g. [page: 1, per_page: 100] :headers - a keyworld list of headers, e.g. [{&quot;content-type&quot;, &quot;text/plain&quot;}] :body - depends on used middleware: by default it can be a binary if using e.g. JSON encoding middleware it can be a nested map if adapter supports it it can be a Stream with any of the above :opts - custom, per-request middleware or adapter options Examples ExampleApi.request(method: :get, url: &quot;/users/path&quot;) # use shortcut methods ExampleApi.get(&quot;/users/1&quot;) ExampleApi.post(client, &quot;/users&quot;, %{name: &quot;Jon&quot;})","ref":"GoogleApi.CloudDebugger.V2.Connection.html#request/2","title":"GoogleApi.CloudDebugger.V2.Connection.request/2","type":"function"},{"doc":"Perform request and raise in case of error. This is similar to request/2 behaviour from Tesla 0.x See request/2 for list of available options.","ref":"GoogleApi.CloudDebugger.V2.Connection.html#request!/2","title":"GoogleApi.CloudDebugger.V2.Connection.request!/2","type":"function"},{"doc":"Perform a TRACE request. See request/1 or request/2 for options definition. trace(&quot;/users&quot;) trace(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) trace(client, &quot;/users&quot;) trace(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.CloudDebugger.V2.Connection.html#trace/3","title":"GoogleApi.CloudDebugger.V2.Connection.trace/3","type":"function"},{"doc":"Perform a TRACE request. See request!/1 or request!/2 for options definition. trace!(&quot;/users&quot;) trace!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) trace!(client, &quot;/users&quot;) trace!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])","ref":"GoogleApi.CloudDebugger.V2.Connection.html#trace!/3","title":"GoogleApi.CloudDebugger.V2.Connection.trace!/3","type":"function"},{"doc":"","ref":"GoogleApi.CloudDebugger.V2.Connection.html#t:option/0","title":"GoogleApi.CloudDebugger.V2.Connection.option/0","type":"type"},{"doc":"","ref":"GoogleApi.CloudDebugger.V2.Connection.html#t:t/0","title":"GoogleApi.CloudDebugger.V2.Connection.t/0","type":"type"},{"doc":"An alias to a repo revision. Attributes kind (type: String.t, default: nil) - The alias kind. name (type: String.t, default: nil) - The alias name.","ref":"GoogleApi.CloudDebugger.V2.Model.AliasContext.html","title":"GoogleApi.CloudDebugger.V2.Model.AliasContext","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudDebugger.V2.Model.AliasContext.html#decode/2","title":"GoogleApi.CloudDebugger.V2.Model.AliasContext.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.CloudDebugger.V2.Model.AliasContext.html#t:t/0","title":"GoogleApi.CloudDebugger.V2.Model.AliasContext.t/0","type":"type"},{"doc":"Breakpoint (the resource) Represents the breakpoint specification, status and results. Attributes action (type: String.t, default: nil) - Action that the agent should perform when the code at the breakpoint location is hit. condition (type: String.t, default: nil) - Condition that triggers the breakpoint. The condition is a compound boolean expression composed using expressions in a programming language at the source location. createTime (type: DateTime.t, default: nil) - Time this breakpoint was created by the server in seconds resolution. evaluatedExpressions (type: list(GoogleApi.CloudDebugger.V2.Model.Variable.t), default: nil) - Values of evaluated expressions at breakpoint time. The evaluated expressions appear in exactly the same order they are listed in the expressions field. The name field holds the original expression text, the value or members field holds the result of the evaluated expression. If the expression cannot be evaluated, the status inside the Variable will indicate an error and contain the error text. expressions (type: list(String.t), default: nil) - List of read-only expressions to evaluate at the breakpoint location. The expressions are composed using expressions in the programming language at the source location. If the breakpoint action is LOG, the evaluated expressions are included in log statements. finalTime (type: DateTime.t, default: nil) - Time this breakpoint was finalized as seen by the server in seconds resolution. id (type: String.t, default: nil) - Breakpoint identifier, unique in the scope of the debuggee. isFinalState (type: boolean(), default: nil) - When true, indicates that this is a final result and the breakpoint state will not change from here on. labels (type: map(), default: nil) - A set of custom breakpoint properties, populated by the agent, to be displayed to the user. location (type: GoogleApi.CloudDebugger.V2.Model.SourceLocation.t, default: nil) - Breakpoint source location. logLevel (type: String.t, default: nil) - Indicates the severity of the log. Only relevant when action is LOG. logMessageFormat (type: String.t, default: nil) - Only relevant when action is LOG. Defines the message to log when the breakpoint hits. The message may include parameter placeholders $0, $1, etc. These placeholders are replaced with the evaluated value of the appropriate expression. Expressions not referenced in log_message_format are not logged. Example: Message received, id = $0, count = $1 with expressions = [ message.id, message.count ]. stackFrames (type: list(GoogleApi.CloudDebugger.V2.Model.StackFrame.t), default: nil) - The stack at breakpoint time, where stack_frames[0] represents the most recently entered function. status (type: GoogleApi.CloudDebugger.V2.Model.StatusMessage.t, default: nil) - Breakpoint status. The status includes an error flag and a human readable message. This field is usually unset. The message can be either informational or an error message. Regardless, clients should always display the text message back to the user. Error status indicates complete failure of the breakpoint. Example (non-final state): Still loading symbols... Examples (final state): Invalid line number referring to location Field f not found in class C referring to condition userEmail (type: String.t, default: nil) - E-mail address of the user that created this breakpoint variableTable (type: list(GoogleApi.CloudDebugger.V2.Model.Variable.t), default: nil) - The variable_table exists to aid with computation, memory and network traffic optimization. It enables storing a variable once and reference it from multiple variables, including variables stored in the variable_table itself. For example, the same this object, which may appear at many levels of the stack, can have all of its data stored once in this table. The stack frame variables then would hold only a reference to it. The variable var_table_index field is an index into this repeated field. The stored objects are nameless and get their name from the referencing variable. The effective variable is a merge of the referencing variable and the referenced variable.","ref":"GoogleApi.CloudDebugger.V2.Model.Breakpoint.html","title":"GoogleApi.CloudDebugger.V2.Model.Breakpoint","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudDebugger.V2.Model.Breakpoint.html#decode/2","title":"GoogleApi.CloudDebugger.V2.Model.Breakpoint.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.CloudDebugger.V2.Model.Breakpoint.html#t:t/0","title":"GoogleApi.CloudDebugger.V2.Model.Breakpoint.t/0","type":"type"},{"doc":"A CloudRepoSourceContext denotes a particular revision in a cloud repo (a repo hosted by the Google Cloud Platform). Attributes aliasContext (type: GoogleApi.CloudDebugger.V2.Model.AliasContext.t, default: nil) - An alias, which may be a branch or tag. aliasName (type: String.t, default: nil) - The name of an alias (branch, tag, etc.). repoId (type: GoogleApi.CloudDebugger.V2.Model.RepoId.t, default: nil) - The ID of the repo. revisionId (type: String.t, default: nil) - A revision ID.","ref":"GoogleApi.CloudDebugger.V2.Model.CloudRepoSourceContext.html","title":"GoogleApi.CloudDebugger.V2.Model.CloudRepoSourceContext","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudDebugger.V2.Model.CloudRepoSourceContext.html#decode/2","title":"GoogleApi.CloudDebugger.V2.Model.CloudRepoSourceContext.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.CloudDebugger.V2.Model.CloudRepoSourceContext.html#t:t/0","title":"GoogleApi.CloudDebugger.V2.Model.CloudRepoSourceContext.t/0","type":"type"},{"doc":"A CloudWorkspaceId is a unique identifier for a cloud workspace. A cloud workspace is a place associated with a repo where modified files can be stored before they are committed. Attributes name (type: String.t, default: nil) - The unique name of the workspace within the repo. This is the name chosen by the client in the Source API&#39;s CreateWorkspace method. repoId (type: GoogleApi.CloudDebugger.V2.Model.RepoId.t, default: nil) - The ID of the repo containing the workspace.","ref":"GoogleApi.CloudDebugger.V2.Model.CloudWorkspaceId.html","title":"GoogleApi.CloudDebugger.V2.Model.CloudWorkspaceId","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudDebugger.V2.Model.CloudWorkspaceId.html#decode/2","title":"GoogleApi.CloudDebugger.V2.Model.CloudWorkspaceId.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.CloudDebugger.V2.Model.CloudWorkspaceId.html#t:t/0","title":"GoogleApi.CloudDebugger.V2.Model.CloudWorkspaceId.t/0","type":"type"},{"doc":"A CloudWorkspaceSourceContext denotes a workspace at a particular snapshot. Attributes snapshotId (type: String.t, default: nil) - The ID of the snapshot. An empty snapshot_id refers to the most recent snapshot. workspaceId (type: GoogleApi.CloudDebugger.V2.Model.CloudWorkspaceId.t, default: nil) - The ID of the workspace.","ref":"GoogleApi.CloudDebugger.V2.Model.CloudWorkspaceSourceContext.html","title":"GoogleApi.CloudDebugger.V2.Model.CloudWorkspaceSourceContext","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudDebugger.V2.Model.CloudWorkspaceSourceContext.html#decode/2","title":"GoogleApi.CloudDebugger.V2.Model.CloudWorkspaceSourceContext.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.CloudDebugger.V2.Model.CloudWorkspaceSourceContext.html#t:t/0","title":"GoogleApi.CloudDebugger.V2.Model.CloudWorkspaceSourceContext.t/0","type":"type"},{"doc":"Represents the debugged application. The application may include one or more replicated processes executing the same code. Each of these processes is attached with a debugger agent, carrying out the debugging commands. Agents attached to the same debuggee identify themselves as such by using exactly the same Debuggee message value when registering. Attributes agentVersion (type: String.t, default: nil) - Version ID of the agent. Schema: domain/language-platform/vmajor.minor (for example google.com/java-gcp/v1.1). description (type: String.t, default: nil) - Human readable description of the debuggee. Including a human-readable project name, environment name and version information is recommended. extSourceContexts (type: list(GoogleApi.CloudDebugger.V2.Model.ExtendedSourceContext.t), default: nil) - References to the locations and revisions of the source code used in the deployed application. id (type: String.t, default: nil) - Unique identifier for the debuggee generated by the controller service. isDisabled (type: boolean(), default: nil) - If set to true, indicates that the agent should disable itself and detach from the debuggee. isInactive (type: boolean(), default: nil) - If set to true, indicates that Controller service does not detect any activity from the debuggee agents and the application is possibly stopped. labels (type: map(), default: nil) - A set of custom debuggee properties, populated by the agent, to be displayed to the user. project (type: String.t, default: nil) - Project the debuggee is associated with. Use project number or id when registering a Google Cloud Platform project. sourceContexts (type: list(GoogleApi.CloudDebugger.V2.Model.SourceContext.t), default: nil) - References to the locations and revisions of the source code used in the deployed application. status (type: GoogleApi.CloudDebugger.V2.Model.StatusMessage.t, default: nil) - Human readable message to be displayed to the user about this debuggee. Absence of this field indicates no status. The message can be either informational or an error status. uniquifier (type: String.t, default: nil) - Uniquifier to further distinguish the application. It is possible that different applications might have identical values in the debuggee message, thus, incorrectly identified as a single application by the Controller service. This field adds salt to further distinguish the application. Agents should consider seeding this field with value that identifies the code, binary, configuration and environment.","ref":"GoogleApi.CloudDebugger.V2.Model.Debuggee.html","title":"GoogleApi.CloudDebugger.V2.Model.Debuggee","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudDebugger.V2.Model.Debuggee.html#decode/2","title":"GoogleApi.CloudDebugger.V2.Model.Debuggee.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.CloudDebugger.V2.Model.Debuggee.html#t:t/0","title":"GoogleApi.CloudDebugger.V2.Model.Debuggee.t/0","type":"type"},{"doc":"A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); } The JSON representation for Empty is empty JSON object {}. Attributes","ref":"GoogleApi.CloudDebugger.V2.Model.Empty.html","title":"GoogleApi.CloudDebugger.V2.Model.Empty","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudDebugger.V2.Model.Empty.html#decode/2","title":"GoogleApi.CloudDebugger.V2.Model.Empty.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.CloudDebugger.V2.Model.Empty.html#t:t/0","title":"GoogleApi.CloudDebugger.V2.Model.Empty.t/0","type":"type"},{"doc":"An ExtendedSourceContext is a SourceContext combined with additional details describing the context. Attributes context (type: GoogleApi.CloudDebugger.V2.Model.SourceContext.t, default: nil) - Any source context. labels (type: map(), default: nil) - Labels with user defined metadata.","ref":"GoogleApi.CloudDebugger.V2.Model.ExtendedSourceContext.html","title":"GoogleApi.CloudDebugger.V2.Model.ExtendedSourceContext","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudDebugger.V2.Model.ExtendedSourceContext.html#decode/2","title":"GoogleApi.CloudDebugger.V2.Model.ExtendedSourceContext.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.CloudDebugger.V2.Model.ExtendedSourceContext.html#t:t/0","title":"GoogleApi.CloudDebugger.V2.Model.ExtendedSourceContext.t/0","type":"type"},{"doc":"Represents a message with parameters. Attributes format (type: String.t, default: nil) - Format template for the message. The format uses placeholders $0, $1, etc. to reference parameters. $$ can be used to denote the $ character. Examples: Failed to load &#39;$0&#39; which helps debug $1 the first time it is loaded. Again, $0 is very important. Please pay $$10 to use $0 instead of $1. parameters (type: list(String.t), default: nil) - Optional parameters to be embedded into the message.","ref":"GoogleApi.CloudDebugger.V2.Model.FormatMessage.html","title":"GoogleApi.CloudDebugger.V2.Model.FormatMessage","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudDebugger.V2.Model.FormatMessage.html#decode/2","title":"GoogleApi.CloudDebugger.V2.Model.FormatMessage.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.CloudDebugger.V2.Model.FormatMessage.html#t:t/0","title":"GoogleApi.CloudDebugger.V2.Model.FormatMessage.t/0","type":"type"},{"doc":"A SourceContext referring to a Gerrit project. Attributes aliasContext (type: GoogleApi.CloudDebugger.V2.Model.AliasContext.t, default: nil) - An alias, which may be a branch or tag. aliasName (type: String.t, default: nil) - The name of an alias (branch, tag, etc.). gerritProject (type: String.t, default: nil) - The full project name within the host. Projects may be nested, so &quot;project/subproject&quot; is a valid project name. The &quot;repo name&quot; is hostURI/project. hostUri (type: String.t, default: nil) - The URI of a running Gerrit instance. revisionId (type: String.t, default: nil) - A revision (commit) ID.","ref":"GoogleApi.CloudDebugger.V2.Model.GerritSourceContext.html","title":"GoogleApi.CloudDebugger.V2.Model.GerritSourceContext","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudDebugger.V2.Model.GerritSourceContext.html#decode/2","title":"GoogleApi.CloudDebugger.V2.Model.GerritSourceContext.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.CloudDebugger.V2.Model.GerritSourceContext.html#t:t/0","title":"GoogleApi.CloudDebugger.V2.Model.GerritSourceContext.t/0","type":"type"},{"doc":"Response for getting breakpoint information. Attributes breakpoint (type: GoogleApi.CloudDebugger.V2.Model.Breakpoint.t, default: nil) - Complete breakpoint state. The fields id and location are guaranteed to be set.","ref":"GoogleApi.CloudDebugger.V2.Model.GetBreakpointResponse.html","title":"GoogleApi.CloudDebugger.V2.Model.GetBreakpointResponse","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudDebugger.V2.Model.GetBreakpointResponse.html#decode/2","title":"GoogleApi.CloudDebugger.V2.Model.GetBreakpointResponse.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.CloudDebugger.V2.Model.GetBreakpointResponse.html#t:t/0","title":"GoogleApi.CloudDebugger.V2.Model.GetBreakpointResponse.t/0","type":"type"},{"doc":"A GitSourceContext denotes a particular revision in a third party Git repository (e.g. GitHub). Attributes revisionId (type: String.t, default: nil) - Git commit hash. required. url (type: String.t, default: nil) - Git repository URL.","ref":"GoogleApi.CloudDebugger.V2.Model.GitSourceContext.html","title":"GoogleApi.CloudDebugger.V2.Model.GitSourceContext","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudDebugger.V2.Model.GitSourceContext.html#decode/2","title":"GoogleApi.CloudDebugger.V2.Model.GitSourceContext.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.CloudDebugger.V2.Model.GitSourceContext.html#t:t/0","title":"GoogleApi.CloudDebugger.V2.Model.GitSourceContext.t/0","type":"type"},{"doc":"Response for listing active breakpoints. Attributes breakpoints (type: list(GoogleApi.CloudDebugger.V2.Model.Breakpoint.t), default: nil) - List of all active breakpoints. The fields id and location are guaranteed to be set on each breakpoint. nextWaitToken (type: String.t, default: nil) - A token that can be used in the next method call to block until the list of breakpoints changes. waitExpired (type: boolean(), default: nil) - If set to true, indicates that there is no change to the list of active breakpoints and the server-selected timeout has expired. The breakpoints field would be empty and should be ignored.","ref":"GoogleApi.CloudDebugger.V2.Model.ListActiveBreakpointsResponse.html","title":"GoogleApi.CloudDebugger.V2.Model.ListActiveBreakpointsResponse","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudDebugger.V2.Model.ListActiveBreakpointsResponse.html#decode/2","title":"GoogleApi.CloudDebugger.V2.Model.ListActiveBreakpointsResponse.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.CloudDebugger.V2.Model.ListActiveBreakpointsResponse.html#t:t/0","title":"GoogleApi.CloudDebugger.V2.Model.ListActiveBreakpointsResponse.t/0","type":"type"},{"doc":"Response for listing breakpoints. Attributes breakpoints (type: list(GoogleApi.CloudDebugger.V2.Model.Breakpoint.t), default: nil) - List of breakpoints matching the request. The fields id and location are guaranteed to be set on each breakpoint. The fields: stack_frames, evaluated_expressions and variable_table are cleared on each breakpoint regardless of its status. nextWaitToken (type: String.t, default: nil) - A wait token that can be used in the next call to list (REST) or ListBreakpoints (RPC) to block until the list of breakpoints has changes.","ref":"GoogleApi.CloudDebugger.V2.Model.ListBreakpointsResponse.html","title":"GoogleApi.CloudDebugger.V2.Model.ListBreakpointsResponse","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudDebugger.V2.Model.ListBreakpointsResponse.html#decode/2","title":"GoogleApi.CloudDebugger.V2.Model.ListBreakpointsResponse.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.CloudDebugger.V2.Model.ListBreakpointsResponse.html#t:t/0","title":"GoogleApi.CloudDebugger.V2.Model.ListBreakpointsResponse.t/0","type":"type"},{"doc":"Response for listing debuggees. Attributes debuggees (type: list(GoogleApi.CloudDebugger.V2.Model.Debuggee.t), default: nil) - List of debuggees accessible to the calling user. The fields debuggee.id and description are guaranteed to be set. The description field is a human readable field provided by agents and can be displayed to users.","ref":"GoogleApi.CloudDebugger.V2.Model.ListDebuggeesResponse.html","title":"GoogleApi.CloudDebugger.V2.Model.ListDebuggeesResponse","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudDebugger.V2.Model.ListDebuggeesResponse.html#decode/2","title":"GoogleApi.CloudDebugger.V2.Model.ListDebuggeesResponse.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.CloudDebugger.V2.Model.ListDebuggeesResponse.html#t:t/0","title":"GoogleApi.CloudDebugger.V2.Model.ListDebuggeesResponse.t/0","type":"type"},{"doc":"Selects a repo using a Google Cloud Platform project ID (e.g. winged-cargo-31) and a repo name within that project. Attributes projectId (type: String.t, default: nil) - The ID of the project. repoName (type: String.t, default: nil) - The name of the repo. Leave empty for the default repo.","ref":"GoogleApi.CloudDebugger.V2.Model.ProjectRepoId.html","title":"GoogleApi.CloudDebugger.V2.Model.ProjectRepoId","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudDebugger.V2.Model.ProjectRepoId.html#decode/2","title":"GoogleApi.CloudDebugger.V2.Model.ProjectRepoId.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.CloudDebugger.V2.Model.ProjectRepoId.html#t:t/0","title":"GoogleApi.CloudDebugger.V2.Model.ProjectRepoId.t/0","type":"type"},{"doc":"Request to register a debuggee. Attributes debuggee (type: GoogleApi.CloudDebugger.V2.Model.Debuggee.t, default: nil) - Required. Debuggee information to register. The fields project, uniquifier, description and agent_version of the debuggee must be set.","ref":"GoogleApi.CloudDebugger.V2.Model.RegisterDebuggeeRequest.html","title":"GoogleApi.CloudDebugger.V2.Model.RegisterDebuggeeRequest","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudDebugger.V2.Model.RegisterDebuggeeRequest.html#decode/2","title":"GoogleApi.CloudDebugger.V2.Model.RegisterDebuggeeRequest.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.CloudDebugger.V2.Model.RegisterDebuggeeRequest.html#t:t/0","title":"GoogleApi.CloudDebugger.V2.Model.RegisterDebuggeeRequest.t/0","type":"type"},{"doc":"Response for registering a debuggee. Attributes debuggee (type: GoogleApi.CloudDebugger.V2.Model.Debuggee.t, default: nil) - Debuggee resource. The field id is guaranteed to be set (in addition to the echoed fields). If the field is_disabled is set to true, the agent should disable itself by removing all breakpoints and detaching from the application. It should however continue to poll RegisterDebuggee until reenabled.","ref":"GoogleApi.CloudDebugger.V2.Model.RegisterDebuggeeResponse.html","title":"GoogleApi.CloudDebugger.V2.Model.RegisterDebuggeeResponse","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudDebugger.V2.Model.RegisterDebuggeeResponse.html#decode/2","title":"GoogleApi.CloudDebugger.V2.Model.RegisterDebuggeeResponse.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.CloudDebugger.V2.Model.RegisterDebuggeeResponse.html#t:t/0","title":"GoogleApi.CloudDebugger.V2.Model.RegisterDebuggeeResponse.t/0","type":"type"},{"doc":"A unique identifier for a cloud repo. Attributes projectRepoId (type: GoogleApi.CloudDebugger.V2.Model.ProjectRepoId.t, default: nil) - A combination of a project ID and a repo name. uid (type: String.t, default: nil) - A server-assigned, globally unique identifier.","ref":"GoogleApi.CloudDebugger.V2.Model.RepoId.html","title":"GoogleApi.CloudDebugger.V2.Model.RepoId","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudDebugger.V2.Model.RepoId.html#decode/2","title":"GoogleApi.CloudDebugger.V2.Model.RepoId.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.CloudDebugger.V2.Model.RepoId.html#t:t/0","title":"GoogleApi.CloudDebugger.V2.Model.RepoId.t/0","type":"type"},{"doc":"Response for setting a breakpoint. Attributes breakpoint (type: GoogleApi.CloudDebugger.V2.Model.Breakpoint.t, default: nil) - Breakpoint resource. The field id is guaranteed to be set (in addition to the echoed fields).","ref":"GoogleApi.CloudDebugger.V2.Model.SetBreakpointResponse.html","title":"GoogleApi.CloudDebugger.V2.Model.SetBreakpointResponse","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudDebugger.V2.Model.SetBreakpointResponse.html#decode/2","title":"GoogleApi.CloudDebugger.V2.Model.SetBreakpointResponse.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.CloudDebugger.V2.Model.SetBreakpointResponse.html#t:t/0","title":"GoogleApi.CloudDebugger.V2.Model.SetBreakpointResponse.t/0","type":"type"},{"doc":"A SourceContext is a reference to a tree of files. A SourceContext together with a path point to a unique revision of a single file or directory. Attributes cloudRepo (type: GoogleApi.CloudDebugger.V2.Model.CloudRepoSourceContext.t, default: nil) - A SourceContext referring to a revision in a cloud repo. cloudWorkspace (type: GoogleApi.CloudDebugger.V2.Model.CloudWorkspaceSourceContext.t, default: nil) - A SourceContext referring to a snapshot in a cloud workspace. gerrit (type: GoogleApi.CloudDebugger.V2.Model.GerritSourceContext.t, default: nil) - A SourceContext referring to a Gerrit project. git (type: GoogleApi.CloudDebugger.V2.Model.GitSourceContext.t, default: nil) - A SourceContext referring to any third party Git repo (e.g. GitHub).","ref":"GoogleApi.CloudDebugger.V2.Model.SourceContext.html","title":"GoogleApi.CloudDebugger.V2.Model.SourceContext","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudDebugger.V2.Model.SourceContext.html#decode/2","title":"GoogleApi.CloudDebugger.V2.Model.SourceContext.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.CloudDebugger.V2.Model.SourceContext.html#t:t/0","title":"GoogleApi.CloudDebugger.V2.Model.SourceContext.t/0","type":"type"},{"doc":"Represents a location in the source code. Attributes column (type: integer(), default: nil) - Column within a line. The first column in a line as the value 1. Agents that do not support setting breakpoints on specific columns ignore this field. line (type: integer(), default: nil) - Line inside the file. The first line in the file has the value 1. path (type: String.t, default: nil) - Path to the source file within the source context of the target binary.","ref":"GoogleApi.CloudDebugger.V2.Model.SourceLocation.html","title":"GoogleApi.CloudDebugger.V2.Model.SourceLocation","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudDebugger.V2.Model.SourceLocation.html#decode/2","title":"GoogleApi.CloudDebugger.V2.Model.SourceLocation.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.CloudDebugger.V2.Model.SourceLocation.html#t:t/0","title":"GoogleApi.CloudDebugger.V2.Model.SourceLocation.t/0","type":"type"},{"doc":"Represents a stack frame context. Attributes arguments (type: list(GoogleApi.CloudDebugger.V2.Model.Variable.t), default: nil) - Set of arguments passed to this function. Note that this might not be populated for all stack frames. function (type: String.t, default: nil) - Demangled function name at the call site. locals (type: list(GoogleApi.CloudDebugger.V2.Model.Variable.t), default: nil) - Set of local variables at the stack frame location. Note that this might not be populated for all stack frames. location (type: GoogleApi.CloudDebugger.V2.Model.SourceLocation.t, default: nil) - Source location of the call site.","ref":"GoogleApi.CloudDebugger.V2.Model.StackFrame.html","title":"GoogleApi.CloudDebugger.V2.Model.StackFrame","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudDebugger.V2.Model.StackFrame.html#decode/2","title":"GoogleApi.CloudDebugger.V2.Model.StackFrame.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.CloudDebugger.V2.Model.StackFrame.html#t:t/0","title":"GoogleApi.CloudDebugger.V2.Model.StackFrame.t/0","type":"type"},{"doc":"Represents a contextual status message. The message can indicate an error or informational status, and refer to specific parts of the containing object. For example, the Breakpoint.status field can indicate an error referring to the BREAKPOINT_SOURCE_LOCATION with the message Location not found. Attributes description (type: GoogleApi.CloudDebugger.V2.Model.FormatMessage.t, default: nil) - Status message text. isError (type: boolean(), default: nil) - Distinguishes errors from informational messages. refersTo (type: String.t, default: nil) - Reference to which the message applies.","ref":"GoogleApi.CloudDebugger.V2.Model.StatusMessage.html","title":"GoogleApi.CloudDebugger.V2.Model.StatusMessage","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudDebugger.V2.Model.StatusMessage.html#decode/2","title":"GoogleApi.CloudDebugger.V2.Model.StatusMessage.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.CloudDebugger.V2.Model.StatusMessage.html#t:t/0","title":"GoogleApi.CloudDebugger.V2.Model.StatusMessage.t/0","type":"type"},{"doc":"Request to update an active breakpoint. Attributes breakpoint (type: GoogleApi.CloudDebugger.V2.Model.Breakpoint.t, default: nil) - Required. Updated breakpoint information. The field id must be set. The agent must echo all Breakpoint specification fields in the update.","ref":"GoogleApi.CloudDebugger.V2.Model.UpdateActiveBreakpointRequest.html","title":"GoogleApi.CloudDebugger.V2.Model.UpdateActiveBreakpointRequest","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudDebugger.V2.Model.UpdateActiveBreakpointRequest.html#decode/2","title":"GoogleApi.CloudDebugger.V2.Model.UpdateActiveBreakpointRequest.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.CloudDebugger.V2.Model.UpdateActiveBreakpointRequest.html#t:t/0","title":"GoogleApi.CloudDebugger.V2.Model.UpdateActiveBreakpointRequest.t/0","type":"type"},{"doc":"Response for updating an active breakpoint. The message is defined to allow future extensions. Attributes","ref":"GoogleApi.CloudDebugger.V2.Model.UpdateActiveBreakpointResponse.html","title":"GoogleApi.CloudDebugger.V2.Model.UpdateActiveBreakpointResponse","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudDebugger.V2.Model.UpdateActiveBreakpointResponse.html#decode/2","title":"GoogleApi.CloudDebugger.V2.Model.UpdateActiveBreakpointResponse.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.CloudDebugger.V2.Model.UpdateActiveBreakpointResponse.html#t:t/0","title":"GoogleApi.CloudDebugger.V2.Model.UpdateActiveBreakpointResponse.t/0","type":"type"},{"doc":"Represents a variable or an argument possibly of a compound object type. Note how the following variables are represented: 1) A simple variable: int x = 5 { name: &quot;x&quot;, value: &quot;5&quot;, type: &quot;int&quot; } // Captured variable 2) A compound object: struct T { int m1; int m2; }; T x = { 3, 7 }; { // Captured variable name: &quot;x&quot;, type: &quot;T&quot;, members { name: &quot;m1&quot;, value: &quot;3&quot;, type: &quot;int&quot; }, members { name: &quot;m2&quot;, value: &quot;7&quot;, type: &quot;int&quot; } } 3) A pointer where the pointee was captured: T x = { 3, 7 }; T* p = &amp;x; { // Captured variable name: &quot;p&quot;, type: &quot;T*&quot;, value: &quot;0x00500500&quot;, members { name: &quot;m1&quot;, value: &quot;3&quot;, type: &quot;int&quot; }, members { name: &quot;m2&quot;, value: &quot;7&quot;, type: &quot;int&quot; } } 4) A pointer where the pointee was not captured: T* p = new T; { // Captured variable name: &quot;p&quot;, type: &quot;T*&quot;, value: &quot;0x00400400&quot; status { is_error: true, description { format: &quot;unavailable&quot; } } } The status should describe the reason for the missing value, such as &lt;optimized out&gt;, &lt;inaccessible&gt;, &lt;pointers limit reached&gt;. Note that a null pointer should not have members. 5) An unnamed value: int* p = new int(7); { // Captured variable name: &quot;p&quot;, value: &quot;0x00500500&quot;, type: &quot;int*&quot;, members { value: &quot;7&quot;, type: &quot;int&quot; } } 6) An unnamed pointer where the pointee was not captured: int* p = new int(7); int** pp = &amp;p; { // Captured variable name: &quot;pp&quot;, value: &quot;0x00500500&quot;, type: &quot;int**&quot;, members { value: &quot;0x00400400&quot;, type: &quot;int*&quot; status { is_error: true, description: { format: &quot;unavailable&quot; } } } } } To optimize computation, memory and network traffic, variables that repeat in the output multiple times can be stored once in a shared variable table and be referenced using the var_table_index field. The variables stored in the shared table are nameless and are essentially a partition of the complete variable. To reconstruct the complete variable, merge the referencing variable with the referenced variable. When using the shared variable table, the following variables: T x = { 3, 7 }; T* p = &amp;x; T&amp; r = x; { name: &quot;x&quot;, var_table_index: 3, type: &quot;T&quot; } // Captured variables { name: &quot;p&quot;, value &quot;0x00500500&quot;, type=&quot;T*&quot;, var_table_index: 3 } { name: &quot;r&quot;, type=&quot;T&amp;&quot;, var_table_index: 3 } { // Shared variable table entry #3: members { name: &quot;m1&quot;, value: &quot;3&quot;, type: &quot;int&quot; }, members { name: &quot;m2&quot;, value: &quot;7&quot;, type: &quot;int&quot; } } Note that the pointer address is stored with the referencing variable and not with the referenced variable. This allows the referenced variable to be shared between pointers and references. The type field is optional. The debugger agent may or may not support it. Attributes members (type: list(GoogleApi.CloudDebugger.V2.Model.Variable.t), default: nil) - Members contained or pointed to by the variable. name (type: String.t, default: nil) - Name of the variable, if any. status (type: GoogleApi.CloudDebugger.V2.Model.StatusMessage.t, default: nil) - Status associated with the variable. This field will usually stay unset. A status of a single variable only applies to that variable or expression. The rest of breakpoint data still remains valid. Variables might be reported in error state even when breakpoint is not in final state. The message may refer to variable name with refers_to set to VARIABLE_NAME. Alternatively refers_to will be set to VARIABLE_VALUE. In either case variable value and members will be unset. Example of error message applied to name: Invalid expression syntax. Example of information message applied to value: Not captured. Examples of error message applied to value: Malformed string, Field f not found in class C Null pointer dereference type (type: String.t, default: nil) - Variable type (e.g. MyClass). If the variable is split with var_table_index, type goes next to value. The interpretation of a type is agent specific. It is recommended to include the dynamic type rather than a static type of an object. value (type: String.t, default: nil) - Simple value of the variable. varTableIndex (type: integer(), default: nil) - Reference to a variable in the shared variable table. More than one variable can reference the same variable in the table. The var_table_index field is an index into variable_table in Breakpoint.","ref":"GoogleApi.CloudDebugger.V2.Model.Variable.html","title":"GoogleApi.CloudDebugger.V2.Model.Variable","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudDebugger.V2.Model.Variable.html#decode/2","title":"GoogleApi.CloudDebugger.V2.Model.Variable.decode/2","type":"function"},{"doc":"","ref":"GoogleApi.CloudDebugger.V2.Model.Variable.html#t:t/0","title":"GoogleApi.CloudDebugger.V2.Model.Variable.t/0","type":"type"}]